name: ${PROJECT}

services:
        server:
               image: ${PROJECT}-server    
               deploy:
                       resources:
                               limits:
                                       memory: 2g

        mysql:
                image: ${PROJECT}-mysql
                hostname: mysql

                environment:
                        MYSQL_ROOT_PASSWORD: abc
                        MYSQL_DATABASE: CS544

                deploy:
                        resources:
                                limits:
                                        memory: 2g
        nn:
                image: ${PROJECT}-nn
                hostname: boss
                deploy:
                        resources:
                                limits:
                                        memory: 1g

        dn:
                image: ${PROJECT}-dn
                deploy:
                        replicas: 3
                        resources:
                                limits:
                                        memory: 1g
